<?php

$data = isset($_GET) ? $_GET : array();
if(isset($_GET['apikey']) && isset($_GET['storeid']) && isset($_GET['scheduleId']) && isset($_GET['userid']) )
{
	$apiKey 	= $_GET['apikey'];
	$storeid 	= $_GET['storeid'];
	$scheduleId = $_GET['scheduleId'];
	$userid 	= $_GET['userid'];
	$send_sms_hook = !empty($_GET['assign_class_hook']) ? base64_decode($_GET['assign_class_hook']) : '';
	$mailBody 	= '';
	$userEmail = '';
	$clubname = '';
	$clubEmail = '';
	$clubContactDeatls = get_club_details($storeid);
	if(!empty($clubContactDeatls))
	{
		$clubname = $clubContactDeatls[0];
		$clubEmail = $clubContactDeatls[1];
	}
	if($scheduleId != 'Other')
	{
		$class = assign_class($apiKey,$storeid,$userid,$scheduleId);
		$BookingId = $class['BookingId'];
		if($BookingId != -1)
		{
			$bookedDateTime = '';
			$classDateTime = '';
			$classBookingDetails = get_booking_details($apiKey,$scheduleId,$storeid,$userid);
			if(!empty($classBookingDetails ))
			{
					$classDateTime = $classBookingDetails['class_time'];
					$bookedDateTime = $classBookingDetails['user_booked_on'];
			}
			$message = "Booking confirmed. Booking ID :".$BookingId;
			$userDetails = get_user($apiKey,$storeid,$userid);
			$userPh = $userDetails['Phone'];
			$userName = $userDetails['FirstName'];
			$userLastName = $userDetails['LastName'];
			$userEmail = $userDetails['Email'];
			$fullname = $userName.' '.$userLastName;
			$phone_number = isset($userDetails['Phone']) ? $userDetails['Phone'] : $userDetails['CellPhone'];
			$message = "Hi ".$userName.", Booking confirmed. Booking ID :".$BookingId;
			send_notification_to_user($message,$userPh,$send_sms_hook);
			$classdetails = get_scheduling_details($apiKey,$storeid,$scheduleId);
			
			$Classdate = isset($classdetails['ClassDate']) ? date('Y-m-d h:i:s',strtotime($classdetails['ClassDate'])) : '';
			
			$mailBody .= '<table width="100%"><tr><td>Hi '.$clubname.'! '.$fullname.' has self booked into a AKT Preview class and requires being contacted to confirm.</td></tr>';
			$mailBody .= '<tr><td>'.$fullname.' self booked to the AKT Preview class taking place on :'.$classDateTime.' (local) </td></tr>';
			$mailBody .= '<tr><td>Here is '.$fullname.'\'s contact info :</td></tr>';
			$mailBody .= '<tr><td>Phone Number : '.$phone_number.'</td></tr>';
			$mailBody .= '<tr><td>Email Address :'.$userEmail.'</td></tr>';
			$mailBody .= '<tr><td>*** '.$fullname.' made booking arrangment on : '.$bookedDateTime.'(local)</td></tr>';
			$mailBody .= '<tr><td>Alternative accommodations requested : No</td></tr>';	
			$mailBody .= '</table>';
			$subject = $clubname." (".$storeid.") - A Bridgetek Lead Has Self Booked an AKT Preview class";
			send_mail_to_admin($mailBody,$userEmail,$clubEmail,$clubname,$subject);
			header("Location:confirmed.php?BookingId=".$BookingId);
		}
		else{
			//echo $class['Message'];
			header("Location:already_booked.php");
		}
	}
	else{
	    $userDetails = get_user($apiKey,$storeid,$userid);
		
	    $userName = $userDetails['FirstName'];
	    $userLastName = $userDetails['LastName'];
	    $fullname = $userName.' '.$userLastName;
	    $userPh = $userDetails['Phone'];
		$userEmail = $userDetails['Email'];
		$phone_number = isset($userDetails['Phone']) ? $userDetails['Phone'] : $userDetails['CellPhone'];
	    
		$message = $fullname." thanks for letting us know you require an alternative option. A Club Pilates associate will contact you to accommodate.";
		$data = send_notification_to_user($message,$userPh,$send_sms_hook);
		
		$mailBody .= '<table width="100%"><tr><td>Hi '.$clubname.'! '.$fullname.' has requested being contacted to arrange alternative accomodations.</td></tr>';
		$mailBody .= '<tr><td>None of the current CycleBar Classic (45 min) class time slots over the next 4 day period are compatible with his/ her schedule.</td></tr>';
		$mailBody .= '<tr><td>Here is his / her contact info :</td></tr>';
		$mailBody .= '<tr><td>Phone Number : '.$phone_number.'</td></tr>';
		$mailBody .= '<tr><td>Email Address :'.$userEmail.'</td></tr>';
		$mailBody .= '<tr><td>Alternative accommodations requested : Yes</td></tr>';
		$mailBody .= '</table>';
		$subject = $clubname." (".$storeid.") - A Bridgetek Lead requires alternative accomodations";
		send_mail_to_admin($mailBody,$userEmail,$clubEmail,$clubname,$subject);
		header("Location:thank_you.php");
	}
	
}
else
{
	header("Location:not_found.php");
}

/*
* Get Booking Details
*/
function get_booking_details($ApiKey,$bookingId,$StoreId,$userId)
{
	$service_url = "https://www.clubready.com/api/current/scheduling/class-roster?";
	$curl = curl_init();
	$curl_post_data = array(
		'ApiKey' => $ApiKey,
		'StoreId' => $StoreId,
		'ClassScheduleId' => $bookingId
	);
	foreach($curl_post_data as $key=>$val)
	{
		$service_url .= $key.'='.$val.'&';
	}
	curl_setopt($curl,CURLOPT_URL,$service_url);
	curl_setopt($curl,CURLOPT_HEADER, false);
	curl_setopt($curl, CURLOPT_HTTPGET, 1);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	$curl_response = curl_exec($curl);
	curl_close($curl);
	$decoded = json_decode($curl_response, true);
	$bookingData = array('class_time'=>'','user_booked_on'=>'');
	if(!empty($decoded))
	{
		$d = new DateTime($decoded['ClassDate']);
		$bookingData['class_time'] = $d->format("D,d M Y H:i:s-u");
		foreach($decoded['ClassRoster'] as $key=>$val)
		{
			if($val['UserId'] == $userId)
			{
				$d = new DateTime($val['BookingMade']);
				$bookingData['user_booked_on'] = $d->format("D,d M Y H:i:s-u");
			}
		}
	}
	return $bookingData;
}
/*
* send mail notification to admin
*/
function send_mail_to_admin($mail_content='',$from='',$clubEmail,$clubname,$subject)
{
	$to = 'bridgetek@gmail.com';
	//$to = 'suman.brainium@gmail.com';
	$headers  = 'MIME-Version: 1.0' . "\r\n";
	$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
	if(!empty($clubname))
	{
		$headers .= 'From: '.$clubname."<".$clubEmail.">\r\n";
		$headers .= 'Cc: '.$clubEmail. "\r\n";
	}
	
	return mail($to, $subject, $mail_content, $headers);
}

/*
* get club contact details
*/
function get_club_details($storeId)
{
	
	$finalDetails = array(
		'9660' => array("Club AKT","tony@bridgetekcommunications.com","Club AKT"),
		'3085' => array("Club Pilates Morena","Morena@clubpilates.com","Club Pilates Morena"),
		'3086' => array("Club Pilates Bankers Hill","bankershill@clubpilates.com","Club Pilates Bankers Hill"),
		'3087' => array("Club Pilates La Mesa","lamesa@clubpilates.com","Club Pilates La Mesa"),
		'3088' => array("Club Pilates Del Mar","delmar@clubpilates.com","Club Pilates Del Mar"),
		'3089' => array("Club Pilates Rancho Bernardo","ranchobernardo@clubpilates.com","Club Pilates Rancho Bernardo"),
		'3131' => array("Club Pilates Memorial","memorial@clubpilates.com","Club Pilates Memorial"),
		'3132' => array("Club Pilates Bellevue","bellevue@clubpilates.com","Club Pilates Bellevue"),
		'3133' => array("Club Pilates Manhattan Beach","manhattanbeach@clubpilates.com","Club Pilates Manhattan Beach"),
		'3135' => array("Club Pilates Woodland Hills","woodlandhills@clubpilates.com","Club Pilates Woodland Hills"),
		'3136' => array("Club Pilates Costa Mesa","costamesa@clubpilates.com","Club Pilates Costa Mesa"),
		'3137' => array("Club Pilates Mission Viejo","missionviejo@clubpilates.com","Club Pilates Mission Viejo" ),
		'3138' => array("Club Pilates Laguna Niguel","lagunaniguel@clubpilates.com","Club Pilates Laguna Niguel"),
		'3140' => array
			(
				"Club Pilates San Juan Capistrano",
				"sjc@clubpilates.com",
				"Club Pilates San Juan Capistrano"
			),
		'3143' => array
			(
				"Club Pilates Temecula",
				"temecula@clubpilates.com",
				"Club Pilates Temecula"
			),
		'3144' => array
			(
				"Club Pilates Midtown Sacramento",
				"midtownsac@clubpilates.com",
				"Club Pilates Midtown Sacramento"
			),
		'3145' => array
			(
				"Club Pilates Carlsbad",
				"carlsbad@clubpilates.com",
				"Club Pilates Carlsbad"
			),
		'3146' => array
			(
				"Club Pilates Eastlake",
				"eastlake@clubpilates.com",
				"Club Pilates Eastlake"
			),
		'3147' => array
			(
				"Club Pilates Encinitas",
				"encinitas@clubpilates.com",
				"Club Pilates Encinitas"
			),
		'3148' => array
			(
				"Club Pilates Mira Mesa",
				"miramesa@clubpilates.com",
				"Club Pilates Mira Mesa"
			),
		'3149' => array
			(
				"Club Pilates Mission Valley",
				"Missionvalley@clubpilates.com",
				"Club Pilates Mission Valley"
			),
		'3150' => array
			(
				"Club Pilates North Park",
				"Northpark@clubpilates.com",
				"Club Pilates North Park"
			),
		'3152' => array
			(
				"Club Pilates San Marcos",
				"sanmarcos@clubpilates.com",
				"Club Pilates San Marcos"
			),
		'3153' => array
			(
				"Club Pilates Santee",
				"Santee@clubpilates.com",
				"Club Pilates Santee"
			),
		'3154' => array
			(
				"Club Pilates San Carlos",
				"sancarlos@clubpilates.com",
				"Club Pilates San Carlos"
			),
		'3155' => array
			(
				"Club Pilates Belmar",
				"belmar@clubpilates.com",
				"Club Pilates Belmar"
			),
		'3156' => array
			(
				"Club Pilates Cherry Creek",
				"cherrycreek@clubpilates.com",
				"Club Pilates Cherry Creek"
			),
		'3157' => array
			(
				"Club Pilates Novi",
				"novi@clubpilates.com",
				"Club Pilates Novi"
			),
		'3159' => array
			(
				"Club Pilates Reno",
				"Reno@clubpilates.com",
				"Club Pilates Reno"
			),
		'3160' => array
			(
				"Club Pilates Mequon",
				"mequon@clubpilates.com",
				"Club Pilates Mequon"
			),
		'3162' => array
			(
				"Club Pilates Downtown LA",
				"dtla@clubpilates.com",
				"Club Pilates Downtown LA"
			),
		'3172' => array
			(
				"Club Pilates Lakeway",
				"lakewaysm@clubpilates.com",
				"Club Pilates Lakeway"
			),
		'3173' => array
			(
				"Club Pilates Villa Park",
				"villapark@clubpilates.com",
				"Club Pilates Villa Park"
			),
		'3216' => array
			(
				"Club Pilates Kent",
				"kent@clubpilates.com",
				"Club Pilates Kent"
			),
		'3224' => array
			(
				"Club Pilates Hollywood",
				"hollywood@clubpilates.com",
				"Club Pilates Hollywood"
			),
		'3249' => array
			(
				"Club Pilates Arrowhead",
				"arrowhead@clubpilates.com",
				"Club Pilates Arrowhead"
			),
		'3265' => array
			(
				"Club Pilates Granada Hills",
				"granadahills@clubpilates.com",
				"Club Pilates Granada Hills"
			),
		'3289' => array
			(
				"Club Pilates Cahaba Heights",
				"cahabaheights@clubpilates.com",
				"Club Pilates Cahaba Heights"
			),

		'3333' => array
			(
				"Club Pilates Severna Park",
				"severnapark@clubpilates.com",
				"Club Pilates Severna Park"
			),
		'3348' => array
			(
				"Club Pilates Abacoa",
				"abacoa@clubpilates.com",
				"Club Pilates Abacoa"
			),
		'3377' => array
			(
				"Club Pilates South Overland Park",
				"southop@clubpilates.com",
				"Club Pilates South Overland Park"
			),
		'3414' => array
			(
				"Club Pilates Echo Park",
				"echopark@clubpilates.com",
				"Club Pilates Echo Park"
			),
		'3426' => array
			(
				"Club Pilates Glendale",
				"GlendaleGM@ClubPilates.com",
				"Club Pilates Glendale"
			),
		'3427' => array
			(
				"Club Pilates Highlands Ranch West",
				"HRWest@clubpilates.com",
				"Club Pilates Highlands Ranch West"
			),
		'3428' => array
			(
				"Club Pilates Ken Caryl",
				"kencaryl@clubpilates.com",
				"Club Pilates Ken Caryl"
			),
		'3449' => array
			(
				"Club Pilates Edgewater",
				"edgewater@clubpilates.com",
				"Club Pilates Edgewater"
			),

		'3510' => array
			(
				"Club Pilates Spring Valley",
				"springvalley@clubpilates.com",
				"Club Pilates Spring Valley"
			),
		'3587' => array
			(
				"Club Pilates Beverly Hills",
				"beverlyhills@clubpilates.com",
				"Club Pilates Beverly Hills"
			),
		'3634' => array
			(
				"Club Pilates Huntington Beach",
				"huntingtonbeach@clubpilates.com",
				"Club Pilates Huntington Beach"
			),
		'3646' => array
			(
				"Club Pilates Teacher Training",
				"teachertraining@clubpilates.com",
				"Club Pilates Teacher Training"
			),
		'3653' => array
			(
				"Club Pilates Fullerton",
				"fullerton@clubpilates.com",
				"Club Pilates Fullerton"
			),
		'3654' => array
			(
				"Club Pilates Downtown Phoenix",
				"dtphoenix@clubpilates.com",
				"Club Pilates Downtown Phoenix"
			),
		'3655' => array
			(
				"Club Pilates Longmont",
				"longmont@clubpilates.com",
				"Club Pilates Longmont"
			),
		'3685' => array
			(
				"Club Pilates Chesterfield",
				"Chesterfield@ClubPilates.com",
				"Club Pilates Chesterfield"
			),
		'3742' => array
			(
				"Club Pilates Sunnyvale",
				"sunnyvale@clubpilates.com",
				"Club Pilates Sunnyvale"
			),
		'3769' => array
			(
				"Club Pilates Klein",
				"klein@clubpilates.com",
				"Club Pilates Klein"
			),
		'3773' => array
			(
				"Club Pilates Westlake Village",
				"westlakevillage@clubpilates.com",
				"Club Pilates Westlake Village"
			),
		'3805' => array
			(
				"Club Pilates Progress Ridge",
				"progressridge@clubpilates.com",
				"Club Pilates Progress Ridge"
			),

		'3826' => array
			(
				"Club Pilates Wyckoff",
				"wyckoff@clubpilates.com",
				"Club Pilates Wyckoff"
			),

		'3839' => array
			(
				"Club Pilates Arbor Lakes",
				"ArborLakes@clubpilates.com",
				"Club Pilates Arbor Lakes"
			),

		'3981' => array
			(
				"Club Pilates Katy",
				"Katy@clubpilates.com",
				"Club Pilates Katy"
			),

		'4004' => array
			(
				"Club Pilates RSM",
				"RSM@clubpilates.com",
				"Club Pilates RSM"
			),

		'4037' => array
			(
				"Club Pilates Brickell",
				"Brickell@clubpilates.com",
				"Club Pilates Brickell"
			),

		'4038' => array
			(
				"Club Pilates East Memphis",
				"EastMemphis@clubpilates.com",
				"Club Pilates East Memphis"
			),

		'4045' => array
			(
				"Club Pilates Short Hills",
				"ShortHills@clubpilates.com",
				"Club Pilates Short Hills"
			),

		'4046' => array
			(
				"Club Pilates Carmel",
				"Carmel@clubpilates.com",
				"Club Pilates Carmel"
			),

		'4054' => array
			(
				"Club Pilates Pleasanton",
				"Pleasanton@clubpilates.com",
				"Club Pilates Pleasanton"
			),

		'4129' => array
			(
				"Club Pilates Saratoga",
				"Saratoga@clubpilates.com",
				"Club Pilates Saratoga"
			),

		'4138' => array
			(
				"Club Pilates Westfield",
				"Westfield@clubpilates.com",
				"Club Pilates Westfield"
			),

		'4173' => array
			(
				"Club Pilates Tempe",
				"Tempe@clubpilates.com",
				"Club Pilates Tempe"
			),

		'4174' => array
			(
				"Club Pilates Chino Hills",
				"ChinoHills@clubpilates.com",
				"Club Pilates Chino Hills"
			),

		'5287' => array
			(
				"Club Pilates Bozeman",
				"Bozeman@clubpilates.com",
				"Club Pilates Bozeman"
			),

		'5288' => array
			(
				"Club Pilates Ramsey",
				"Ramsey@clubpilates.com",
				"Club Pilates Ramsey"
			),

		'5296' => array
			(
				"Club Pilates Lincoln Park",
				"LincolnPark@clubpilates.com",
				"Club Pilates Lincoln Park"
			),

		'5339' => array
			(
				"Club Pilates Buckhead",
				"Buckhead@clubpilates.com",
				"Club Pilates Buckhead"
			),

		'5340' => array
			(
				"Club Pilates North San Jose",
				"NorthSanJose@clubpilates.com",
				"Club Pilates North San Jose"
			),

		'5374' => array
			(
				"Club Pilates East Cobb",
				"EastCobb@clubpilates.com",
				"Club Pilates East Cobb"
			),

		'5406' => array
			(
				"Club Pilates NoHo",
				"NoHo@clubpilates.com",
				"Club Pilates NoHo"
			),

		'5407' => array
			(
				"Club Pilates Annapolis",
				"Annapolis@clubpilates.com",
				"Club Pilates Annapolis"
			),

		'5408' => array
			(
				"Club Pilates Carrollwood",
				"Carrollwood@clubpilates.com",
				"Club Pilates Carrollwood"
			),

		'5454' => array
			(
				"Club Pilates Monrovia",
				"Monrovia@clubpilates.com",
				"Club Pilates Monrovia"
			),

		'5466' => array
			(
				"Club Pilates Emerson",
				"Emerson@clubpilates.com",
				"Club Pilates Emerson"
			),

		'5474' => array
			(
				"Club Pilates Ashburn",
				"Ashburn@clubpilates.com",
				"Club Pilates Ashburn"
			),

		'5475' => array
			(
				"Club Pilates Chandler",
				"Chandler@clubpilates.com",
				"Club Pilates Chandler"
			),

		'5487' => array
			(
				"Club Pilates Roseville",
				"Roseville@clubpilates.com",
				"Club Pilates Roseville"
			),

		'5496' => array
			(
				"Club Pilates Waterford Lakes",
				"WaterfordLakes@clubpilates.com",
				"Club Pilates Waterford Lakes"
			),

		'5497' => array
			(
				"Club Pilates Symmes Township",
				"SymmesTwp@clubpilates.com",
				"Club Pilates Symmes Township"
			),

		'5498' => array
			(
				"Club Pilates Brentwood STL",
				"BrentwoodSTL@clubpilates.com",
				"Club Pilates Brentwood STL"
			),

		'5499' => array
			(
				"Club Pilates Tustin",
				"Tustin@clubpilates.com",
				"Club Pilates Tustin"
			),

		'5508' => array
			(
				"Club Pilates Henderson",
				"Henderson@clubpilates.com",
				"Club Pilates Henderson"
			),

		'5525' => array
			(
				"Club Pilates Campbell",
				"Campbell@clubpilates.com",
				"Club Pilates Campbell"
			),

		'5552' => array
			(
				"Club Pilates Castle Rock",
				"CastleRock@clubpilates.com",
				"Club Pilates Castle Rock"
			),

		'5553' => array
			(
				"Club Pilates Frisco",
				"Frisco@clubpilates.com",
				"Club Pilates Frisco"
			),

		'5558' => array
			(
				"Club Pilates Alpharetta",
				"Alpharetta@clubpilates.com",
				"Club Pilates Alpharetta"
			),

		'5573' => array
			(
				"Club Pilates Gilbert",
				"Gilbert@clubpilates.com",
				"Club Pilates Gilbert"
			),

		'5575' => array
			(
				"Club Pilates Camarillo",
				"camarillo@clubpilates.com",
				"Club Pilates Camarillo"
			),

		'5597' => array
			(
				"Club Pilates Scarsdale",
				"Scarsdale@clubpilates.com",
				"Club Pilates Scarsdale",
			),

		'5599' => array
			(
				"Club Pilates Elk Grove",
				"ElkGrove@clubpilates.com",
				"Club Pilates Elk Grove"
			),

		'5618' => array
			(
				"Club Pilates North Raleigh",
				"NorthRaleigh@clubpilates.com",
				"Club Pilates North Raleigh"
			),

		'5620' => array
			(
				"Club Pilates Washtenaw",
				"Washtenaw@clubpilates.com",
				"Club Pilates Washtenaw"
			),

		'5628' => array
			(
				"Club Pilates Scottsdale Shea",
				"ScottsdaleShea@clubpilates.com",
				"Club Pilates Scottsdale Shea"
			),

		'5629' => array
			(
				"Club Pilates Winter Park",
				"WinterPark@clubpilates.com",
				"Club Pilates Winter Park"
			),

		'5630' => array
			(
				"Club Pilates West Hills",
				"WestHills@clubpilates.com",
				"Club Pilates West Hills"
			),

		'5631' => array
			(
				"Club Pilates Ventura",
				"Ventura@clubpilates.com",
				"Club Pilates Ventura"
			),

		'5632' => array
			(
				"Club Pilates Lafayette",
				"Lafayette@clubpilates.com",
				"Club Pilates Lafayette"
			),

		'5658' => array
			(
				"Club Pilates Loehmann's Plaza",
				"LoehmannsPlaza@clubpilates.com",
				"Club Pilates Loehmann's Plaza"
			),

		'5659' => array
			(
				"Club Pilates Sandy",
				"Sandy@clubpilates.com",
				"Club Pilates Sandy"
			),

		'5678' => array
			(
				"Club Pilates Highland Village",
				"HighlandVillage@clubpilates.com",
				"Club Pilates Highland Village"
			),

		'5689' => array
			(
				"Club Pilates Indian Lake",
				"IndianLake@clubpilates.com",
				"Club Pilates Indian Lake"
			),

		'5690' => array
			(
				"Club Pilates Colleyville",
				"colleyville@clubpilates.com",
				"Club Pilates Colleyville"
			),

		'5712' => array
			(
				"Club Pilates Framingham",
				"Framingham@clubpilates.com",
				"Club Pilates Framingham"
			),

		'5713' => array
			(
				"Club Pilates Granite Hills",
				"GraniteHills@clubpilates.com",
				"Club Pilates Granite Hills"
			),

		'5714' => array
			(
				"Club Pilates North Fort Worth",
				"northfortworth@clubpilates.com",
				"Club Pilates North Fort Worth"
			),

		'5715' => array
			(
				"Club Pilates Las Colinas",
				"LasColinas@clubpilates.com",
				"Club Pilates Las Colinas"
			),

		'5725' => array
			(
				"Club Pilates Culver City",
				"CulverCity@clubpilates.com",
				"Club Pilates Culver City"
			),

		'5735' => array
			(
				"Club Pilates Englewood",
				"Englewood@clubpilates.com",
				"Club Pilates Englewood"
			),

		'5736' => array
			(
				"Club Pilates Mission Grove",
				"MissionGrove@clubpilates.com",
				"Club Pilates Mission Grove"
			),

		'5755' => array
			(
				"Club Pilates Madison",
				"Madison@clubpilates.com",
				"Club Pilates Madison"
			),

		'5756' => array
			(
				"Club Pilates South Tampa",
				"SouthTampa@clubpilates.com",
				"Club Pilates South Tampa"
			),
		'5778' => array
			(
				"Club Pilates Scottsdale Promenade",
				"ScottsdalePromenade@clubpilates.com",
				"Club Pilates Scottsdale Promenade"
			),

		'5779' => array
			(
				"Club Pilates Riverchase",
				"Riverchase@clubpilates.com",
				"Club Pilates Riverchase"
			),

		'5780' => array
			(
				"Club Pilates Savage",
				"Savage@clubpilates.com",
				"Club Pilates Savage"
			),

		'5781' => array
			(
				"Club Pilates Jax Beach",
				"JaxBeach@clubpilates.com",
				"Club Pilates Jax Beach"
			),

		'5782' => array
			(
				"Club Pilates Flower Mound",
				"FlowerMound@ClubPilates.com",
				"Club Pilates Flower Mound"
			),

		'5783' => array
			(
				"Club Pilates Mooresville",
				"Mooresville@clubpilates.com",
				"Club Pilates Mooresville"
			),

		'5790' => array
			(
				"Club Pilates New Braunfels",
				"NewBraunfelsgm@clubpilates.com",
				"Club Pilates New Braunfels"
			),

		'5800' => array
			(
				"Club Pilates Simi Valley",
				"SimiValley@clubpilates.com",
				"Club Pilates Simi Valley"
			),

		'5810' => array
			(
				"Club Pilates Sugar Land",
				"SugarLandGM@clubpilates.com",
				"Club Pilates Sugar Land"
			),

		'5817' => array
			(
				"Club Pilates Brentwood",
				"Brentwood@clubpilates.com",
				"Club Pilates Brentwood"
			),

		'5818' => array
			(
				"Club Pilates McKinney",
				"McKinney@clubpilates.com",
				"Club Pilates McKinney"
			),

		'5829' => array
			(
				"Club Pilates New Hyde Park",
				"NewHydePark@clubpilates.com",
				"Club Pilates New Hyde Park"
			),

		'5836' => array
			(
				"Club Pilates Brookhaven",
				"Brookhaven@clubpilates.com",
				"Club Pilates Brookhaven"
			),

		'5842' => array
			(
				"Club Pilates Winter Garden",
				"WinterGarden@clubpilates.com",
				"Club Pilates Winter Garden"
			),

		'5846' => array
			(
				"Club Pilates Plymouth",
				"Plymouth@clubpilates.com",
				"Club Pilates Plymouth"
			),

		'5847' => array
			(
				"Club Pilates Gainey Ranch",
				"GaineyRanch@clubpilates.com",
				"Club Pilates Gainey Ranch"
			),

		'5863' => array
			(
				"Club Pilates Sparks",
				"Sparks@clubpilates.com",
				"Club Pilates Sparks"
			),

		'5864' => array
			(
				"Club Pilates Pembroke Pines",
				"PembrokePines@clubpilates.com",
				"Club Pilates Pembroke Pines"
			),

		'5874' => array
			(
				"Club Pilates Lehi",
				"Lehi@clubpilates.com",
				"Club Pilates Lehi"
			),

		'5875' => array
			(
				"Club Pilates Eagle",
				"Eagle@clubpilates.com",
				"Club Pilates Eagle"
			),

		'5906' => array
			(
				"Club Pilates Chandan Place",
				"ChandanPlace@clubpilates.com",
				"Club Pilates Chandan Place"
			),

		'5907' => array
			(
				"Club Pilates St. Matthews",
				"StMatthews@clubpilates.com",
				"Club Pilates St. Matthews"
			),

		'5917' => array
			(
				"Club Pilates Avalon",
				"Avalon@clubpilates.com",
				"Club Pilates Avalon"
			),

		'5918' => array
			(
				"Club Pilates San Pedro",
				"SanPedro@clubpilates.com",
				"Club Pilates San Pedro"
			),

		'5919' => array
			(
				"Club Pilates West Caldwell",
				"WestCaldwell@clubpilates.com",
				"Club Pilates West Caldwell"
			),

		'5923' => array
			(
				"Club Pilates South Naperville",
				"SouthNaperville@clubpilates.com",
				"Club Pilates South Naperville"
			),

		'5924' => array
			(
				"Club Pilates Assembly Row",
				"AssemblyRow@clubpilates.com",
				"Club Pilates Assembly Row"
			),

		'5931' => array
			(
				"Club Pilates East Long Beach",
				"EastLongBeach@clubpilates.com",
				"Club Pilates East Long Beach"
			),

		'5932' => array
			(
				"Club Pilates NW Reno",
				"NWReno@clubpilates.com",
				"Club Pilates NW Reno"
			),

		'5933' => array
			(
				"Club Pilates Towne Lake",
				"TowneLake@clubpilates.com",
				"Club Pilates Towne Lake"
			),

		'5942' => array
			(
				"Club Pilates Millcreek",
				"Millcreek@clubpilates.com",
				"Club Pilates Millcreek"
			),

		'5946' => array
			(
				"Club Pilates Newcastle",
				"Newcastle@clubpilates.com",
				"Club Pilates Newcastle"
			),

		'5949' => array
			(
				"Pilates Licensing",
				"",
				"Pilates Licensing"
			),

		'5959' => array
			(
				"Club Pilates Montvale",
				"Montvale@clubpilates.com",
				"Club Pilates Montvale"
			),

		'5960' => array
			(
				"Club Pilates Woodbury",
				"Woodbury@clubpilates.com",
				"Club Pilates Woodbury"
			),

		'5961' => array
			(
				"Club Pilates Tucson Foothills",
				"TucsonFoothills@clubpilates.com",
				"Club Pilates Tucson Foothills"
			),

		'5962' => array
			(
				"Club Pilates Mount Kisco",
				"MountKisco@clubpilates.com",
				"Club Pilates Mount Kisco",
			),

		'5971' => array
			(
				"Club Pilates Boca South",
				"BocaSouth@clubpilates.com",
				"Club Pilates Boca South"
			),

		'5972' => array
			(
				"Club Pilates North Indy",
				"NorthIndy@clubpilates.com",
				"Club Pilates North Indy"
			),

		'5981' => array
			(
				"Club Pilates Old Metairie",
				"OldMetairiegm@clubpilates.com",
				"Club Pilates Old Metairie"
			),

		'5982' => array
			(
				"Club Pilates Glen Ellyn",
				"GlenEllyn@clubpilates.com",
				"Club Pilates Glen Ellyn"
			),

		'5990' => array
			(
				"Club Pilates Owings Mills",
				"OwingsMills@clubpilates.com",
				"Club Pilates Owings Mills"
			),

		'5991' => array
			(
				"Club Pilates Atascocita",
				"Atascocita@clubpilates.com",
				"Club Pilates Atascocita"
			),

		'5992' => array
			(
				"Club Pilates Rollingwood",
				"Rollingwood@clubpilates.com",
				"Club Pilates Rollingwood"
			),

		'5997' => array
			(
				"Club Pilates Frazer",
				"Frazer@clubpilates.com",
				"Club Pilates Frazer"
			),

		'6004' => array
			(
				"Club Pilates Wiregrass",
				"Wiregrass@clubpilates.com",
				"Club Pilates Wiregrass"
			),

		'6005' => array
			(
				"Club Pilates Novato",
				"Novato@clubpilates.com",
				"Club Pilates Novato"
			),

		'6006' => array
			(
				"Club Pilates Highland Park",
				"HighlandPark@clubpilates.com",
				"Club Pilates Highland Park"
			),

		'6007' => array
			(
				"Club Pilates Liberty Station",
				"LibertyStation@clubpilates.com",
				"Club Pilates Liberty Station"
			),

		'6008' => array
			(
				"Club Pilates West New York",
				"WestNewYork@clubpilates.com",
				"Club Pilates West New York"
			),

		'6009' => array
			(
				"Club Pilates Boulder",
				"boulder@clubpilates.com",
				"Club Pilates Boulder"
			),

		'6019' => array
			(
				"Club Pilates Wilmington",
				"Wilmington@clubpilates.com",
				"Club Pilates Wilmington"
			),

		'6020' => array
			(
				"Club Pilates White Bear Lake",
				"WhiteBearLake@clubpilates.com",
				"Club Pilates White Bear Lake"
			),

		'6021' => array
			(
				"Club Pilates Salisbury",
				"Salisbury@clubpilates.com",
				"Club Pilates Salisbury"
			),

		'6022' => array
			(
				"Club Pilates Pentagon City",
				"PentagonCity@clubpilates.com",
				"Club Pilates Pentagon City"
			),

		'6023' => array
			(
				"Club Pilates Folsom",
				"Folsom@clubpilates.com",
				"Club Pilates Folsom"
			),

		'6052' => array
			(
				"Club Pilates San Clemente",
				"SanClemente@clubpilates.com",
				"Club Pilates San Clemente"
			),

		'6053' => array
			(
				"Club Pilates Thornton",
				"Thornton@clubpilates.com",
				"Club Pilates Thornton"
			),

		'6054' => array
			(
				"Club Pilates Summerlin",
				"Summerlin@clubpilates.com",
				"Club Pilates Summerlin"
			),

		'6055' => array
			(
				"Club Pilates Cobble Hill",
				"CobbleHill@clubpilates.com",
				"Club Pilates Cobble Hill"
			),

		'6056' => array
			(
				"Club Pilates Mansfield",
				"Mansfield@clubpilates.com",
				"Club Pilates Mansfield"
			),

		'6067' => array
			(
				"Club Pilates Burlington",
				"burlington@clubpilates.com",
				"Club Pilates Burlington"
			),

		'6068' => array
			(
				"Club Pilates East Montgomery",
				"EastMontgomery@clubpilates.com",
				"Club Pilates East Montgomery"
			),

		'6075' => array
			(
				"Club Pilates Coral Springs",
				"CoralSprings@clubpilates.com",
				"Club Pilates Coral Springs"
			),

		'6076' => array
			(
				"Club Pilates Cedar Park",
				"CedarPark@clubpilates.com",
				"Club Pilates Cedar Park"
			),

		'6081' => array
			(
				"Club Pilates Poway",
				"Poway@clubpilates.com",
				"Club Pilates Poway"
			),

		'6082' => array
			(
				"Club Pilates Brea",
				"Brea@clubpilates.com",
				"Club Pilates Brea"
			),

		'6083' => array
			(
				"Club Pilates Matthews",
				"Matthews@clubpilates.com",
				"Club Pilates Matthews"
			),

		'6095' => array
			(
				"Club Pilates Ardsley",
				"Ardsley@clubpilates.com",
				"Club Pilates Ardsley"
			),

		'6102' => array
			(
				"Club Pilates Sioux Falls",
				"SiouxFalls@clubpilates.com",
				"Club Pilates Sioux Falls"
			),

		'6104' => array
			(
				"Club Pilates South Shore Harbour",
				"SouthShoreHarbour@clubpilates.com",
				"Club Pilates South Shore Harbour"
			),

		'6105' => array
			(
				"Club Pilates Chapel Hill",
				"ChapelHill@clubpilates.com",
				"Club Pilates Chapel Hill"
			),

		'6106' => array
			(
				"Club Pilates Redlands",
				"Redlands@clubpilates.com",
				"Club Pilates Redlands"
			),

		'6107' => array
			(
				"Club Pilates South Tulsa",
				"southtulsa@clubpilates.com",
				"Club Pilates South Tulsa"
			),

		'6125' => array
			(
				"Club Pilates Darien",
				"Darien@clubpilates.com",
				"Club Pilates Darien"
			),

		'6126' => array
			(
				"Club Pilates Redmond",
				"Redmond@clubpilates.com",
				"Club Pilates Redmond"
			),

		'6127' => array
			(
				"Club Pilates Belle Meade",
				"BelleMeade@clubpilates.com",
				"Club Pilates Belle Meade"
			),

		'6128' => array
			(
				"Club Pilates Chagrin Falls",
				"ChagrinFalls@clubpilates.com",
				"Club Pilates Chagrin Falls"
			),

		'6129' => array
			(
				"Club Pilates Greenwood Village",
				"GreenwoodVillage@clubpilates.com",
				"Club Pilates Greenwood Village"
			),

		'6158' => array
			(
				"Club Pilates Hunt Valley",
				"HuntValley@clubpilates.com",
				"Club Pilates Hunt Valley"
			),

		'6159' => array
			(
				"Club Pilates Wellington",
				"Wellington@clubpilates.com",
				"Club Pilates Wellington"
			),

		'6160' => array
			(
				"Club Pilates Braden River",
				"BradenRiver@clubpilates.com",
				"Club Pilates Braden River"
			),

		'6161' => array
			(
				"Club Pilates Wauwatosa",
				"Wauwatosa@clubpilates.com",
				"Club Pilates Wauwatosa"
			),

		'6163' => array
			(
				"Club Pilates South Providence",
				"SouthProvidence@clubpilates.com",
				"Club Pilates South Providence"
			),

		'6182' => array
			(
				"Club Pilates Collegeville",
				"Collegeville@clubpilates.com",
				"Club Pilates Collegeville"
			),

		'6183' => array
			(
				"Club Pilates Potomac Falls",
				"PotomacFalls@clubpilates.com",
				"Club Pilates Potomac Falls"
			),

		'6184' => array
			(
				"Club Pilates South Frederick",
				"SouthFrederick@clubpilates.com",
				"Club Pilates South Frederick"
			),

		'6194' => array
			(
				"Club Pilates Clear Lake",
				"clearlake@clubpilates.com",
				"Club Pilates Clear Lake"
			),

		'6203' => array
			(
				"Club Pilates Hoboken",
				"",
				"Club Pilates Hoboken"
			),

		'6216' => array
			(
				"Club Pilates Midtown Miami",
				"",
				"Club Pilates Midtown Miami"
			),

		'6217' => array
			(
				"Club Pilates Wentzville",
				"",
				"Club Pilates Wentzville"
			),

		'6223' => array
			(
				"Club Pilates Sun Prairie",
				"sunprairie@clubpilates.com",
				"Club Pilates Sun Prairie"
			),

		'6224' => array
			(
				"Club Pilates Schaumburg",
				"",
				"Club Pilates Schaumburg"
			),

		'6225' => array
			(
				"Club Pilates Bountiful",
				"",
				"Club Pilates Bountiful"
			),

		'6230' => array
			(
				"Club Pilates Fremont",
				"",
				"Club Pilates Fremont"
			),

		'6231' => array
			(
				"Club Pilates Park Ridge",
				"",
				"Club Pilates Park Ridge"
			),

		'6232' => array
			(
				"Club Pilates Sunny Isles",
				"",
				"Club Pilates Sunny Isles"
			),

		'6233' => array
			(
				"Club Pilates Tarzana",
				"",
				"Club Pilates Tarzana"
			),

		'6241' => array
			(
				"Club Pilates Woodstock",
				"",
				"Club Pilates Woodstock"
			),

		'6253' => array
			(
				"Club Pilates Round Rock",
				"roundrock@clubpilates.com",
				"Club Pilates Round Rock"
			),

		'6265' => array
			(
				"Club Pilates La Quinta",
				"",
				"Club Pilates La Quinta"
			),

		'6294' => array
			(
				"Club Pilates Juan Tabo",
				"",
				"Club Pilates Juan Tabo"
			),

		'6296' => array
			(
				"Club Pilates Commack",
				"commack@clubpilates.com",
				"Club Pilates Commack"
			),

		'6317' => array
			(
				"Club Pilates Minnetonka West",
				"",
				"Club Pilates Minnetonka West"
			),

		'6324' => array
			(
				"Club Pilates Downtown Birmingham",
				"",
				"Club Pilates Downtown Birmingham"
			),

		'6325' => array
			(
				"Club Pilates Rancho Mirage",
				"ranchomiragegm@clubpilates.com",
				"Club Pilates Rancho Mirage"
			),

		'6346' => array
			(
				"Club Pilates Biltmore Park",
				"",
				"Club Pilates Biltmore Park"
			),

		'6354' => array
			(
				"Club Pilates La Grange",
				"",
				"Club Pilates La Grange"
			),

		'6376' => array
			(
				"Club Pilates Livingston",
				"livingston@clubpilates.com",
				"Club Pilates Livingston"
			),

		'6379' => array
			(
				"Club Pilates Wayne",
				"",
				"Club Pilates Wayne"
			),

		'6392' => array
			(
				"Club Pilates Collierville",
				"",
				"Club Pilates Collierville"
			),

		'6393' => array
			(
				"Club Pilates Palo Alto",
				"",
				"Club Pilates Palo Alto"
			),

		'6396' => array
			(
				"Club Pilates Plantation",
				"",
				"Club Pilates Plantation"
			),

		'6397' => array
			(
				"Club Pilates Queen Anne",
				"QueenAnne@clubpilates.com",
				"Club Pilates Queen Anne"
			),

		'6399' => array
			(
				"Club Pilates Flemington",
				"",
				"Club Pilates Flemington"
			),

		'6432' => array
			(
				"Club Pilates St. Charles",
				"",
				"Club Pilates St. Charles"
			),

		'6459' => array
			(
				"Club Pilates Arcadia",
				"",
				"Club Pilates Arcadia"
			),

		'6460' => array
			(
				"Club Pilates East Mesa",
				"",
				"Club Pilates East Mesa"
			),

		'6461' => array
			(
				"Club Pilates Cherry Hills",
				"",
				"Club Pilates Cherry Hills"
			),

		'6469' => array
			(
				"Club Pilates Pinecrest",
				"",
				"Club Pilates Pinecrest"
			)

	);
	
	if(array_key_exists($storeId,$finalDetails))
	{
		return $finalDetails[$storeId];
	}
	else{
		return array();
	}
}

/*
* Get the user details
*/
function get_user($ApiKey=0,$StoreId=0,$userId=0)
{
    
    $service_url = "https://www.clubready.com/api/current/users/".$userId."?";
	$curl = curl_init();

	//curl post data
	$curl_post_data = array(
		'ApiKey' => $ApiKey,
		'StoreId' => $StoreId,
	);
	
	
	foreach($curl_post_data as $key=>$val)
	{
		$service_url .= $key.'='.$val.'&';
	}
	
	curl_setopt($curl,CURLOPT_URL,$service_url);
	curl_setopt($curl,CURLOPT_HEADER, false);
	curl_setopt($curl, CURLOPT_HTTPGET, 1);
	//curl_setopt($curl, CURLOPT_POSTFIELDS, $curl_post_data);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	$curl_response = curl_exec($curl);
	curl_close($curl);
	$decoded = json_decode($curl_response, true);
	
	return $decoded;
}

/*
* assign a class to user
*/
function assign_class($ApiKey=0,$StoreId=0,$UserId=0,$ScheduleId=0)
{
	$service_url = "https://www.clubready.com/api/current/scheduling/class-booking?";
	$curl = curl_init();

	//curl post data
	$curl_post_data = array(
		'ApiKey' => $ApiKey,
		'StoreId' => $StoreId,
		'UserId' => $UserId,
		'ScheduleId' => $ScheduleId,
	);
	
	
	curl_setopt($curl,CURLOPT_URL,$service_url);
	curl_setopt($curl,CURLOPT_HEADER, false);
	//curl_setopt($curl, CURLOPT_HTTPGET, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $curl_post_data);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	$curl_response = curl_exec($curl);
	curl_close($curl);
	$decoded = json_decode($curl_response, true);
	return $decoded;
}

function send_notification_to_user($message,$phone,$send_sms_hook) {
    // resource url & authentication
    //$phone = '+918910569605';
    $uri = 'https://hooks.zapier.com/hooks/catch/2239486/eqazqf/';
    $uri = !empty($send_sms_hook) ? $send_sms_hook : $uri;
    $fields = array('Phone'=>$phone,'message'=>$message);
 
    // start cURL
    $res = curl_init();
     
    // set cURL options
    curl_setopt( $res, CURLOPT_URL, $uri );
	curl_setopt($res, CURLOPT_HTTPHEADER, array('Accept: application/json','Content-Type: application/json' ));
    curl_setopt( $res, CURLOPT_POSTFIELDS, json_encode($fields) );
    curl_setopt( $res, CURLOPT_RETURNTRANSFER, true ); // don't echo
     
    // send cURL
    $result = curl_exec( $res );
    return $result;
}

/*
* get Class details
*/
function get_scheduling_details($api_key=0,$storeId=0,$scheduleID=0)
{
	$service_url = "https://www.clubready.com/api/current/scheduling/class-roster?";
	$curl = curl_init();

	//curl post data
	$curl_post_data = array(
		'ApiKey' => $api_key,
		'StoreId' => $storeId,
		'ClassScheduleId' => $scheduleID
	);
	
	
	foreach($curl_post_data as $key=>$val)
	{
		$service_url .= $key.'='.$val.'&';
	}
	curl_setopt($curl,CURLOPT_URL,$service_url);
	curl_setopt($curl,CURLOPT_HEADER, false);
	curl_setopt($curl, CURLOPT_HTTPGET, 1);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	$curl_response = curl_exec($curl);
	curl_close($curl);
	$decoded = json_decode($curl_response, true);
	
	return $decoded;
}


/**
 * Log generate file
 */
function response_log_msg($filename, $msg){  
   $fd = fopen($filename, "a"); 
   $str = "[" . date("Y/m/d h:i:s", time()) . "] " . $msg;  
   fwrite($fd, $str . "\n"); 
   fclose($fd); 
}

?>