<html lang="en">
<head>
  <title>Available Demo Class</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<body>
    <div class="container">
        <h4>Please pick 1 of the following :</h4>
        <table class="table table-striped">
<?php
$data = isset($_GET) ? $_GET : array();
if(isset($_GET['apikey']) && isset($_GET['storeid']) && isset($_GET['userid']) )
{
	$apiKey = base64_decode($_GET['apikey']);
	$storeid = base64_decode($_GET['storeid']);
	$userid = base64_decode($_GET['userid']);
	$base = base64_decode($_GET['base']);
	$class = get_classes($apiKey,$storeid);
	$send_sms_hook = !empty($_GET['assign_class_hook']) ? $_GET['assign_class_hook'] : base64_encode('https://hooks.zapier.com/hooks/catch/2239486/eqazqf/');
	$html = '';
	if(!empty($class))
	{
		$count = 0;
		foreach($class as $key=>$cv)
		{
		    $count++;
		    $html .= '<tr><td>';
		  
           $cD = $cv['Date'];
           $d = explode('-',$cD);
           $date = date("l", mktime(0,0,0,$d[0],$d[1],$d[2]));
           
		    
			$startTime = $cv['StartTime'];
			$ScheduleId = $cv['ScheduleId'];
			$link = $base.'/assign_class.php?apikey='.$apiKey.'&storeid='.$storeid.'&scheduleId='.$ScheduleId.'&userid='.$userid.'&assign_class_hook='.$send_sms_hook;
			
			if($count == 1)
			{
			    $html .= '<p><b>'.$cv['Title'].'</b></p>';
			    $html .= '<p>'.$cv['Description'].'</p>';
			    
			    $html .='</td></tr>';
			    $html .='<tr><td>';
			    $html .= '<p><b>'.$date.' at '.$startTime.'</b> | ';
			    $html .= '<a href="'.$link.'">Book Now</a></p>';
			    $html .= '</td></tr>';
			}
			else
			{
			    $html .= '<p><b>'.$date.' at '.$startTime.'</b> | ';
			    $html .= '<a href="'.$link.'">Book Now</a></p>';
		    	$html .= '</td></tr>';
			}
		}
		
		    $html .= '<tr><td>';
		    $link = $base.'/assign_class.php?apikey='.$apiKey.'&storeid='.$storeid.'&scheduleId=Other&userid='.$userid;
			$html .= '<p>None of these work with my schedule | ';
			$html .= '<a href="'.$link.'">Contact me</a></p>';
			$html .= '</td></tr>';
	}
	else
	{
		$html = '<tr><td><p>There are no class available right now</p></td></tr>';
	}
	
	echo $html;
}
?>
 </table>
</div>

</body>
</html>
<?php
/*
* Get all calsses
*/
function get_classes($ApiKey=0,$StoreId=0)
{
	$service_url = "https://www.clubready.com/api/current/scheduling/class-schedule?";
	$curl = curl_init();

	//curl post data
	$curl_post_data = array(
		'ApiKey' => $ApiKey,
		'StoreId' => $StoreId,
		'ToDate' => date('Y-m-d',strtotime("+4 day"))
	);
	foreach($curl_post_data as $key=>$val)
	{
		$service_url .= $key.'='.$val.'&';
	}
	
	curl_setopt($curl,CURLOPT_URL,$service_url);
	curl_setopt($curl,CURLOPT_HEADER, false);
	curl_setopt($curl, CURLOPT_HTTPGET, 1);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	$curl_response = curl_exec($curl);
	curl_close($curl);
	$decoded = json_decode($curl_response, true);
	$class = array();
	if(!empty($decoded))
	{
		foreach($decoded as $key=>$val)
		{
			if(($val['Title'] == 'AKT Preview') && $val['FreeSpots'] > 0 )
			{
			    $cD = $val['Date'];
                $d = explode('-',$cD);
                $date = date("Y/m/d H:i:s", mktime(date("H", strtotime($val['StartTime'])),date("i", strtotime($val['StartTime'])),date("s", strtotime($val['StartTime'])),$d[0],$d[1],$d[2]));
			    $dateObject = new DateTime($date);
                $dateTime = $dateObject->format('Y/m/d h:i A');
			    if(strtotime("now") < strtotime($dateTime))
			    {
			        $class[] = $val;
			    }
			}
		}
	}
	return $class;
}
?>