<?php 
if(isset($_POST['send_webhook_data']))
{
	if(!empty($_POST['webhook_url']) && !empty($_POST['webhook_url_for']) && $_POST['webhook_url_for']!=0 )
	{
		$url = $_POST['webhook_url'];
		$for = $_POST['webhook_url_for'];
		
		if($for == 1)
		{
			$curl_post_data = array(
				'Phone' => 1234567890,
				'Email' => 'test@gmail.com',
				'FirstName' => 'John',
				'MiddleName'=> 'Doe',
				'LastName'=> 'Ray',
				'user_id'=> 123456,
				'short_link'=> 'https://goo.gl/nxFPxs'
			);
		}
		else if($for == 2)
		{
			$curl_post_data = array(
				'Phone' => 1234567890,
				'Email' => 'test@gmail.com',
				'FirstName' => 'John',
				'MiddleName'=> 'Doe',
				'LastName'=> 'Ray',
				'user_id'=> 123456,
				'short_link'=> 'https://goo.gl/nxFPxs',
				'message'=>'Test Message'
			);
			
		}
		
		$res = curl_init();
		curl_setopt( $res, CURLOPT_URL, $url );
		curl_setopt($res, CURLOPT_HTTPHEADER, array('Accept: application/json','Content-Type: application/json' ));
		curl_setopt( $res, CURLOPT_POSTFIELDS, json_encode($curl_post_data) );
		curl_setopt( $res, CURLOPT_RETURNTRANSFER, true );
		$result = curl_exec( $res );
		curl_close($res);
		print_r($result);
	}

}

function get_classes($ApiKey=0,$StoreId=0)
{
	$service_url = "https://www.clubready.com/api/current/scheduling/class-schedule?";
	$curl = curl_init();

	//curl post data
	$curl_post_data = array(
		'ApiKey' => $ApiKey,
		'StoreId' => $StoreId,
		'ToDate' => date('Y-m-d',strtotime("+7 day"))
	);
	foreach($curl_post_data as $key=>$val)
	{
		$service_url .= $key.'='.$val.'&';
	}
	
	echo $service_url;
	curl_setopt($curl,CURLOPT_URL,$service_url);
	curl_setopt($curl,CURLOPT_HEADER, false);
	curl_setopt($curl, CURLOPT_HTTPGET, 1);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	$curl_response = curl_exec($curl);
	curl_close($curl);
	$decoded = json_decode($curl_response, true);
	$class = array();
	if(!empty($decoded))
	{
		foreach($decoded as $key=>$val)
		{
			if($val['Title'] == 'Pure Foundations (50 Mins)')
			{
				$class[] = $val;
			}
		}
	}
	return $class;
}

?>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">

<div class="container">
    <div class="row">
        <div class="col-sm-12">
            <form method="post" >
            	<div class="form-group">
            		<label for="webhook_url">Webhook URL</label>
            		<input type="text" class="form-control" id="webhook_url" name="webhook_url"  placeholder="Enter Webhook URL">
            	</div>
            	<div class="form-group">
            		<label for="webhook_url_for">Webhook FOR</label>
            		<select class="form-control" name="webhook_url_for" id="webhook_url_for">
            		  <option value="0">--Select Option --</option>
            		  <option value="1">Send SMS After create Prospect</option>
            		  <option value="2">Send SMS After Assign a Class</option>
            		</select>
            	</div>
            	<button type="submit" name="send_webhook_data" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>
</div>